Loading...
Searching...
No Matches
dolfin::GeometryDebugging Class Reference

`#include <GeometryDebugging.h>`

## Static Public Member Functions

static void | print (const Point &point)
static void | print (const std::vector< Point > &simplex)
static void | print (const std::vector< Point > &simplex_0, const std::vector< Point > &simplex_1)
static void | plot (const Point &point)
static void | plot (const std::vector< Point > &simplex)
static void | plot (const std::vector< Point > &simplex_0, const std::vector< Point > &simplex_1)
static void | init_plot ()
| Initialize plotting (print matplotlib code).
static std::string | point2string (const Point &p)
| Compact point to string conversion.
static std::string | simplex2string (const std::vector< Point > &simplex)
| Compact simplex to string conversion.

## Detailed Description

This class provides useful functionality for debugging algorithms dealing with geometry such as collision detection and intersection triangulation.

## Member Function Documentation

## plot() [1/3]

void GeometryDebugging::plot | ( | const Point & | point | ) |

static

Plot a point (print matplotlib code). Example usage: plot(p0)

## plot() [2/3]

void GeometryDebugging::plot | ( | const std::vector< Point > & | simplex | ) |

static

Plot a simplex (print matplotlib code). Example usage: plot({p0, p1, p2})

## plot() [3/3]

void GeometryDebugging::plot | ( | const std::vector< Point > & | simplex_0,
|  | const std::vector< Point > & | simplex_1 )

static

Plot a pair of simplices (print matplotlib code). Example usage: plot({p0, p1, p2}, {q0, q1})

## print() [1/3]

void GeometryDebugging::print | ( | const Point & | point | ) |

static

Print coordinates of a point. Example usage: print(p0)

## print() [2/3]

void GeometryDebugging::print | ( | const std::vector< Point > & | simplex | ) |

static

Print coordinates of a simplex. Example usage: print({p0, p1, p2})

## print() [3/3]

void GeometryDebugging::print | ( | const std::vector< Point > & | simplex_0,
|  | const std::vector< Point > & | simplex_1 )

static

Print coordinates of a pair of simplices. Example usage: print({p0, p1, p2}, {q0, q1})

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/geometry/GeometryDebugging.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/geometry/GeometryDebugging.cpp